#!/usr/bin/python3
import sys
def mac_address_init():
    from netifaces import gateways, ifaddresses, AF_INET, AF_LINK

    interface = gateways()['default'][AF_INET][1]
    if len(ifaddresses(interface)) == 0:
        sys.exit(1)

    if len(ifaddresses(interface)[AF_LINK]) == 0:
        sys.exit(1)

    addr = ifaddresses(interface)[AF_LINK][0]['addr']
    print(f'Got new mac address {addr}')
    return addr

if __name__ == "__main__":
    mac_address_init()

